关闭

Can't locate XML/LibXML.pm in @INC

1626人阅读 评论(0) 收藏 举报
分类:

1 错误描述

    在Ubuntu14.04(64bit)中使用perl的时候提示:

Can't locate XML/LibXML.pm in @INC (you may need to install the XML::LibXML module) (@INC contains: /etc/perl /usr/local/lib/perl/5.18.2 /usr/local/share/perl/5.18.2 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.18 /usr/share/perl/5.18 /usr/local/lib/site_perl .) at parser.pl line 29.
BEGIN failed--compilation aborted at parser.pl line 29.

2 解决方法

    根据参考资料[1][2]的说明,通过下面命令安装XML::Simple即可:

sudo apt-get install libxml2-dev zlib1g-dev

sudo cpan install XML::Simple

sudo cpan install XML::LibXML

参考资料

[1]Can't locate XML/Simple.pm in @INC (@INC contains: /opt/local/lib

[2]关于perl缺少XML/LibXML.pm问题解决方法

[3]Can't locate XML/LibXML.pm

0
0

查看评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场
    个人资料
    • 访问:1079537次
    • 积分:17123
    • 等级:
    • 排名:第602名
    • 原创:641篇
    • 转载:2篇
    • 译文:11篇
    • 评论:112条
    文章分类
    最新评论